package docConverter;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;


public class ClientUtils
{

	/**
	 * Lecture du contenu d'un fichier dans un tableau de bytes
	 */
	static public byte[] readFile(final String fileName)
	{
		byte[] buffer = null;
		File file = new File(fileName);
		
		try {
			FileInputStream in = new FileInputStream(file);
			buffer = new byte[(int)file.length()];
			in.read(buffer);
			in.close();
		}
		catch (FileNotFoundException e) {
			System.out.println("[ERROR] File \"" + file.getAbsolutePath() + "\" not found");
		}
		catch (IOException e) {
			System.out.println("[ERROR] " + e.getMessage());
			buffer = null;
		}
		return buffer;
	}

	/**
	 * Ecriture du contenu d'un tableau de bytes dans un fichier
	 */
	static public void writeFile(final String fileName, final byte[] buffer)
	{
		File file = new File(fileName);
		
		try {
			FileOutputStream out = new FileOutputStream(file);
			out.write(buffer);
			out.close();
		}
		catch (FileNotFoundException e) {
			System.out.println("[ERROR] File \"" + file.getAbsolutePath() + "\" not found");
		}
		catch (IOException e) {
			System.out.println("[ERROR] " + e.getMessage());
		}
	}
	

}
